petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetCoordinates

Sets into the DM a global vector that holds the coordinates

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetCoordinates(DM dm, Vec c)

Collective on DM Many br

### Input Parameters

| dm | - the DM Many br
| c | - coordinate vector Many br

### Note

The coordinates do include those for ghost points, which are in the local vector Many br

Many br

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLoca(), DMGetCoordinateDM()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages